[B2G][Browser][YouTube] Fullscreen button is missing.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Video
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: tedders1, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8581681 [details]
2015-03-23-11-37-52.png

I don't know if this is solely a problem with YouTube's website, or if it's somehow caused by us, but the Fullscreen button seems to be missing from YouTube videos.

STR:
1) Open the browser.
2) Visit youtube.com
3) Watch a video.
4) Tap the video

Expected:
You see the Fullscreen button.

Actual:
The Fullscreen button is missing.

See attached image.
Is this a regression?
Keywords: qawanted
Created attachment 8585805 [details]
noRepro

Unable to reproduce on Flame 2.0, 2.1, 2.2, or 3.0

Full screen button is present on all Youtube videos.

Leaving qawanted in case someone else can repro

Device: Flame 2.0
Build ID: 20150330000204
Gaia: 896803174633fc6acd3fd105f81c349b8e9b9633
Gecko: 0dd313c30aa9
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 32.0 (2.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:32.0) Gecko/32.0 Firefox/32.0

Device: Flame 2.1
Build ID: 20150330001204
Gaia: 6f39e4e876152de1dcdcc0e7656197f22f105e4b
Gecko: 275ad18f587b
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 34.0 (2.1)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0

Device: Flame 2.2
Build ID: 20150330002503
Gaia: 473cd63f53c855299b719285d9b95e3f2910782f
Gecko: 4b13c4254e2f
Gonk: ebad7da532429a6f5efadc00bf6ad8a41288a429
Version: 37.0 (2.2)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

Device: Flame 3.0
Build ID: 20150330010204
Gaia: be25b16efa19bab8d54be08f8fe45dcc93bf93d0
Gecko: dfe60814eda7
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 39.0a1 (3.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:39.0) Gecko/39.0 Firefox/39.0
Flags: needinfo?(ktucker)
QA Whiteboard: [QAnalyst-Triage?]
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Hi Ted,
I have inferred from your image attached that is referring to open a private windown, then visit youtube.com to watch a video. Could you please to confirm whether my STR is correct? Thanks!
My STR is as follow:
1. Connect device to wifi network.
2. Launch Browser and tap Menu icon on Flame 2.2/3.0 (Flame 2.0/2.1 doesn't support private window, so visit youtube.com directly on Flame2.0/2.1 after launching Browser app).
3. Select "New Private window".
4. Visit youtube.com and watch a video.
5. Tap the video.
Flags: needinfo?(tclancy)
(Reporter)

Comment 4

3 years ago
Hi Shine,

Yep, those steps are correct.

It seems the issue doesn't exist anymore.
Flags: needinfo?(tclancy)
(In reply to Ted Clancy [:tedders1] from comment #4)
> Hi Shine,
> 
> Yep, those steps are correct.
> 
> It seems the issue doesn't exist anymore.

Thanks Ted.
This problem cannot be reproduced on latest build of Flame2.0/2.1/2.2/3.0 by the STR in comment 3.
See attachment: Flame2.1&3.0_video.MP4
Rate: 0/10
Device: Flame 2.0(Unaffected)
Build ID               20150331160207
Gaia Revision          896803174633fc6acd3fd105f81c349b8e9b9633
Gaia Date              2015-03-10 06:32:26
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/9c12f28cc73f
Gecko Version          32.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.192708
Firmware Date          Tue Mar 31 19:27:17 EDT 2015
Bootloader             L1TC000118D0

Flame 2.1 (Unaffected)
Build ID               20150331161203
Gaia Revision          63c89e001010a9a43ea55afd39333ded3d5e83fc
Gaia Date              2015-03-31 14:44:21
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/30ac9a03343a
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.194857
Firmware Date          Tue Mar 31 19:49:06 EDT 2015
Bootloader             L1TC000118D0

Flame 2.2 (Unaffected)
Build ID               20150331002503
Gaia Revision          cc11248ab69f13e89416c8e6bb2e184187e72088
Gaia Date              2015-03-30 22:22:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/90a26917ee8f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.034811
Firmware Date          Tue Mar 31 03:48:21 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0 (Unaffected)
Build ID               20150331160205
Gaia Revision          03164bd160809747e6a198e0dba1b7c3ee7789f5
Gaia Date              2015-03-31 14:48:14
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/18a8ea7c2c62
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.191641
Firmware Date          Tue Mar 31 19:16:50 EDT 2015
Bootloader             L1TC000118D0
QA Whiteboard: [MGSEI-Triage+]
Keywords: qawanted
Created attachment 8586556 [details]
Flame2.1&3.0_video.MP4
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.